package com.bocloud.nms.model.veeam.job;

import java.util.List;

public class JobScriptsSettingsModel {

    private ScriptCommand preCommand;
    private String periodicityType;
    private Integer runScriptEvery;
    private List<String> dayOfWeek;

    public ScriptCommand getPreCommand() {
        return preCommand;
    }

    public void setPreCommand(ScriptCommand preCommand) {
        this.preCommand = preCommand;
    }

    public String getPeriodicityType() {
        return periodicityType;
    }

    public void setPeriodicityType(String periodicityType) {
        this.periodicityType = periodicityType;
    }

    public Integer getRunScriptEvery() {
        return runScriptEvery;
    }

    public void setRunScriptEvery(Integer runScriptEvery) {
        this.runScriptEvery = runScriptEvery;
    }

    public List<String> getDayOfWeek() {
        return dayOfWeek;
    }

    public void setDayOfWeek(List<String> dayOfWeek) {
        this.dayOfWeek = dayOfWeek;
    }

    @Override public String toString() {
        return "JobScriptsSettingsModel{" + "preCommand=" + preCommand + ", periodicityType='" + periodicityType + '\''
            + ", runScriptEvery=" + runScriptEvery + ", dayOfWeek=" + dayOfWeek + '}';
    }
}
